/*
 * @(#)FormatDemo.java	8.1 99/12/21
 *
 * Copyright (c) 1997-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

import com.sun.media.jai.codec.FileSeekableStream;
import com.sun.media.jai.codec.ImageCodec;
import com.sun.media.jai.codec.SeekableStream;

public class FormatDemo {

    public static void main(String[] args) {
        if (args.length < 1) {
            System.out.println(
"Format recognizer demo:\n");
            System.out.println(
"  Given a file, determine which file formats it may be encoded in.");
            System.out.println(
"  In addition to the standard formats, a \"samplepnm\" codec is");
            System.out.println(
"  registered.\n");
            System.out.println("usage: java FormatDemo <filenames>");
            System.exit(0);
        }

        // Register the sample PNM codec
        ImageCodec.registerCodec(new SamplePNMCodec());
        
        try {
            for (int i = 0; i < args.length; i++) {
                SeekableStream stream = new FileSeekableStream(args[i]);
                String[] names = ImageCodec.getDecoderNames(stream);

                System.out.println("File " +
                                   args[i] +
                                   " may be in the following format(s):");
                for (int j = 0; j < names.length; j++) {
                    System.out.println("\t" + names[j]);
                }

                System.out.println();
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
